﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace RadComboBoxInRadGridView
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.RadGridView1.ItemsSource = Person.getNames();
			((GridViewComboBoxColumn)this.RadGridView1.Columns[1]).ItemsSource = Country.GetCountries();

		}
	}

	public class Person : INotifyPropertyChanged
	{
		private string name;
		private int countryID;
		

		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				if (this.name != value)
				{
					this.name = value;
					this.OnPropertyChanged("Name");

				}
			}
		}

		public int CountryID
		{
			get 
			{
				return this.countryID;
			}
			set 
			{
				if (this.countryID != value)
				{
					this.countryID = value;
					this.OnPropertyChanged("CountryID");
				}
			}
		}



		public Person(string name, int countryID)
		{
			this.name = name;
			this.countryID = countryID;

		}

		public static ObservableCollection<Person> getNames()
		{
			ObservableCollection<Person> names = new ObservableCollection<Person>();

			names.Add(new Person("Adam Debrovski", 1));
			names.Add(new Person("Juames Peterson",2));
			names.Add(new Person("Vladislav Znekovski",3));
			names.Add(new Person("Peter Borisov",2));
			names.Add(new Person("John Peterson", 2));

			return names;

		}

		public event PropertyChangedEventHandler PropertyChanged;

		void OnPropertyChanged(string property)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(property));
		}

	}


	public class Country : INotifyPropertyChanged
	{
		public Country(int id, string name)
		{
			this.Name = name;
			this.id = id;
		}

		private int id;
		public int ID
		{
			get
			{
				return this.id;
			}
			set
			{
				this.id = value;
				this.OnPropertyChanged("ID");
			}
		}
		private string name;
		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				this.name = value;
				this.OnPropertyChanged("Name");
			}
		}
		public static List<Country> GetCountries()
		{
			List<Country> countries = new List<Country>();
			countries.Add(new Country(1, "Spain"));
			countries.Add(new Country(2, "Germany"));
			countries.Add(new Country(3, "France"));


			return countries;
		}

		public event PropertyChangedEventHandler PropertyChanged;

		void OnPropertyChanged(string property)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(property));
		}

	}
}

	
		


	

